#
# spec file for package liberate-formula
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define fname liberate
%define fdir  %{_datadir}/susemanager/formulas

Name:           liberate-formula
Version:        0.1.0
Release:        230900.1.1.uyuni3
Summary:        Formula to liberate servers and convert them to SLL
License:        Apache-2.0
Group:          System/Packages
Source:         liberate-formula-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Formula to liberate servers and convert them to SLL

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{fdir}/states/%{fname}
mkdir -p %{buildroot}%{fdir}/metadata/%{fname}
cp -R liberate/* %{buildroot}%{fdir}/states/%{fname}
cp -R metadata/* %{buildroot}%{fdir}/metadata/%{fname}

%files
%defattr(-,root,root)
%doc README.md
%license LICENSE
%dir %{_datadir}/susemanager
%dir %{fdir}
%dir %{fdir}/states
%dir %{fdir}/metadata
%{fdir}/states/%{fname}
%{fdir}/metadata/%{fname}

%changelog
* Mon Jan 15 2024 Thomas Florio <thomas.florio@suse.com>
- Version 0.1.0
  * Integrate into salt-formulas project
  * Make sure the formula is idempotent and do not alter the system
    after the migration
* Thu Nov  9 2023 Ricardo Mateus <rmateus@suse.com>
- Version 0.0.2
  * Support for all flavors
* Wed Nov  8 2023 Miguel Pérez Colino <miguel.perez@suse.com>
- Initial build
